# ArmbianMonitor

A quick and easy way to monitor CPU temperatures. If you need or want something more comprehensive, try [Munin](monitoring.md).

You should not need to monitor your Lollipop's temperatures during ordinary use. However, if your device is operating in extreme conditions (very hot or cold weather, or in a small space without ventilation) and is behaving oddly, you may find these statistics helpful.

Optimal operating temperatures vary by board and CPU (central processing unit), with heat tending to cause more problems than cold. If your CPU is painful to touch, you may want to consider adding a heat sink and/or fan.

## To Install

`apt upgrade`
`apt install armbianmonitor`

## To Monitor

At the command prompt: `sudo armbianmonitor -m` for ongoing, real-time temperature readings. (When you've seen enough, enter `ctrl + C` to quit.)

### Typical Output

```
21:41:38: 1296MHz  0.15   2%   0%   0%   0%   0%   0% 57.5°C  0/9
21:41:43:  480MHz  0.14   1%   0%   0%   0%   0%   0% 55.7°C  0/9
21:41:49:  480MHz  0.13   2%   1%   0%   0%   0%   0% 56.7°C  0/9
21:41:54:  480MHz  0.12   2%   1%   0%   0%   0%   0% 55.2°C  0/9
21:41:59:  480MHz  0.11   2%   1%   0%   0%   0%   0% 56.4°C  0/9
21:42:04:  480MHz  0.10   5%   2%   2%   0%   0%   0% 54.8°C  0/9
21:42:09: 1296MHz  0.09   2%   1%   0%   0%   0%   0% 55.4°C  0/9
21:42:14:  480MHz  0.08   2%   1%   0%   0%   0%   0% 56.0°C  0/9
21:42:20: 1296MHz  0.08   2%   1%   0%   0%   0%   0% 55.3°C  0/9
21:42:25:  480MHz  0.07   1%   0%   0%   0%   0%   0% 55.2°C  0/9^C
```

## For More Information

- `sudo armbianmonitor` will provide a list of other monitoring features and options.
- source: https://forum.armbian.com/topic/904-how-to-check-temperature-of-orangepi-pc/
- [Raspberry Pi works well when submerged in liquid nitrogen](https://www.geek.com/chips/raspberry-pi-proven-to-be-stable-when-submerged-in-liquid-nitrogen-1555235/)
