# Base Setup

Fundamental setup after first boot/reboot.

## Pro Tip

```sudo -sHu root``` is a handy trick when doing a lot of administrative stuff at the command line

## Upgrade Packages

``` bash

apt update
apt upgrade
systemctl reboot

```

## Install Useful Tools

``` bash

apt install htop nload iotop tmux screen vim nano links wget exfat-utils ntfs-3g gdisk lvm2 cryptsetup busybox

```

## ENABLE Automatic Update Download

*Note: this is for more persistent/permanently online lollipops*

### /etc/apt/apt.conf.d/02-armbian-periodic

- Change ```APT::Periodic::Enable "0";``` to ```APT::Periodic::Enable "1";```
- Change ```APT::Periodic::Update-Package-Lists "21";``` to ```APT::Periodic::Update-Package-Lists "1";```

## DISABLE Automatic Update Downloads

*Note: this is to save bandwidth, time, etc when travelling*

### /etc/apt/apt.conf.d/20auto-upgrades

- Change ```APT::Periodic::Update-Package-Lists "1";``` to ```APT::Periodic::Update-Package-Lists "0";```
- Change ```APT::Periodic::Unattended-Upgrade "1";``` to ```APT::Periodic::Unattended-Upgrade "0";```

## Tweak OpenSSH Config

Edit ```/etc/ssh/sshd_config```

Make sure the following are set and/or adjusted.

- ```PermitRootLogin no```

Restart the service

```systemctl restart sshd```

## Networking

See ```network_manager.md``` for details on getting online after running the above commands for how to get online and configure routing.
