# Pine64 Notes

Some useful links

- [Pinouts](http://joey.hazlett.us/pine64/Pine%20A64%20Pin%20Assignment%20160119.pdf)
- [Battery Status/Level Script (3.10.x kernel only)](https://gist.github.com/pfeerick/05e5715733f00dcf303636c80abff598)


## Misc Notes

- Set ```console=serial``` in ```/boot/armbianEnv.txt``` to put *all* boot output on the serial console.
- If an emmc is installed in a sopine and blank, boot of armbian on an sd card will fail
- The sopine carrier board appears to have a 1.35mm barrel jack. Link to usb wire: [Amazon](https://amazon.com/gp/product/B01N2UILL7)
- The emmc, a64 and other large, non axp803 chips can take a 15mmx15mm heat sink. This one is good: [Mouser](https://www.mouser.com/ProductDetail/984-ATS-52150G-C1-R0)
- The pine64 3d printed cases need a little extra material removed around the micro-usb area to facilitate the sopine carrier board dc barrel jack connector
- Button top batteries probably will *NOT* work with the 18650 battery pack, use flat tops. Only 1/2 ish of the battery top will be exposed to contacts on the positive side of the pack
- PPS is broken in 4.19 kernels as of 2019/04/12 ; 4.14.x may be required for reliable PPS ; this is only needed if you want to build a stratum 0 ntp server
- As of 4.19.34 the ```/sys/class/power_supply``` device nodes appear to be populated, the existing 3.10.x kernel scripts for showing battery status can be adapted for the new device node names
- This is a good battery status script [https://gist.github.com/pfeerick/05e5715733f00dcf303636c80abff598](https://gist.github.com/pfeerick/05e5715733f00dcf303636c80abff598)
- The axp803 appears to charge the battery pack even with 2 cores of the CPU at max, persistent load, adding persistent usb load on a usb disk will "net 0" the charger. You'll want a semi-idle setup for the batteries to charge over time with a sopine.
- The Samsung 3000mah 18650 batteries are a good fit for the battery pack sold by pine64.org and have good capacity and amp ratings.
