# TT-RSS

Self hosted RSS reader a la Google Reader

## Inspiration / Further Reading
- [https://hub.docker.com/r/linuxserver/tt-rss/](https://hub.docker.com/r/linuxserver/tt-rss/)

## Install / Update / Run Script

Setup a generic script that'll auto update TT-RSS, build a container and launch it. You should only run this script at first launch and/or when you're looking for updates.

``` bash

mkdir -p /var/ttrss
docker exec -it postgres psql -U postgres
create role ttrss nocreatedb nocreaterole login PASSWORD 'password';
create database ttrss owner=ttrss encoding=UTF8;

wget -O ttrss.sh https://git.lollipopcloud.solutions/lollipop-docker/misc/raw/branch/master/run_ttrss.sh
chmod a+x /root/docker/ttrss.sh

```

## Run TT-RSS

Simply execute ```/root/docker/ttrss.sh``` to update/run TT-RSS.

## Cron For Feed Updates

``` bash

*/10 * * * * docker exec --user 991 -it ttrss /usr/bin/php /config/www/tt-rss/update.php --feeds --quiet

```

## Update Unbound

``` bash

cat > /etc/unbound/local_zone/ttrss.conf <<EOF
local-data: "ttrss-insecure A 172.30.13.13"
local-data-ptr: "172.30.13.13 ttrss-insecure"
local-data: "ttrss-insecure.domain.tld A 172.30.13.13"
local-data-ptr: "172.30.13.13 ttrss-insecure.domain.tld"

local-data: "ttrss A 172.30.0.1"
local-data-ptr: "172.30.0.1 ttrss"
local-data: "ttrss.domain.tld A 172.30.0.1"
local-data-ptr: "172.30.0.1 ttrss.domain.tld"
EOF

```

## First Run / Finalize Setup

- Navigate to ```http://ttrss-insecure.domain.tld```
- Follow on-screen prompts for finalizing setup
  - Use the above psql username/password/database during the install phase
  - Use 172.30.12.12 as the postgresql hostname
- Login and enjoy
  - The default account is admin/password
